Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.extension
Interface ICompatibleReportItem

All Known Implementing Classes:
  ReportItem

    public interface ICompatibleReportItem

Represents an instance of a extended report element that can work with the bound data columns.

ICompatibleReportItem is responsible for providing backward compatibility for the extended item. Parts of migration work from BIRT 2.1M5 to BIRT 2.1.0 for bound data columns.

Method Summary
`CompatibilityStatus` | `checkCompatibility()` Checks the parser compatibilities for this report item and return the status.
`java.util.List` | `getRowExpressions()` Returns a list containing the possible JavaScript expressions.
`void` | `updateRowExpressions(java.util.Map newExpressions)` Updates existed expression with the given expressions.

Method Detail

### getRowExpressions

    java.util.List getRowExpressions()

  Returns a list containing the possible JavaScript expressions. During parsing the design file, this method is automatically called to add bound data columns so that the design file before BIRT 2.1.0 can be compatible with BIRT 2.1.0 or later.

  Returns:
    a list containing the possible expressions.

### updateRowExpressions

    void updateRowExpressions(java.util.Map newExpressions)

  Updates existed expression with the given expressions. The keys in `newExpressions` are existed expressions, while, the values are the new expressions to replace existed ones.

  Parameters:
    `newExpressions` - a map containing the updated expressions.

### checkCompatibility

    CompatibilityStatus checkCompatibility()

  Checks the parser compatibilities for this report item and return the status.

  Returns:
    the compatibility status.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.